/* ---- BASE64 Routines ---- */
#ifdef BASE64
int base64_encode(const unsigned char *in,  unsigned long len, 
                        unsigned char *out, unsigned long *outlen);

int base64_decode(const unsigned char *in,  unsigned long len, 
                        unsigned char *out, unsigned long *outlen);
#endif

/* ---- MEM routines ---- */
void zeromem(void *dst, size_t len);
void burn_stack(unsigned long len);

const char *error_to_string(int err);

extern const char *crypt_build_settings;

/* ---- HMM ---- */
int crypt_fsa(void *mp, ...);

/* $Source: /usr/local/GRANDSTREAM/SW_ENGR/svip/gxw4200/system/source/user/opensource/dropbear-2016.74/libtomcrypt/src/headers/Attic/tomcrypt_misc.h,v $ */
/* $Revision: 1.1.2.1 $ */
/* $Date: 2017/03/17 18:59:41 $ */
