#!/bin/bash

DEST_DIR="../../../../../image_build/gxw-build.cvscontrol/gxw_image_build/base"

cp -v iptables ${DEST_DIR}/usr/sbin
cp -v iptables-save ${DEST_DIR}/usr/sbin
cp -v iptables-restore ${DEST_DIR}/usr/sbin
cp -v iptables-xml ${DEST_DIR}/usr/sbin
cp -v ip6tables ${DEST_DIR}/usr/sbin
cp -v ip6tables-save ${DEST_DIR}/usr/sbin
cp -v ip6tables-restore ${DEST_DIR}/usr/sbin

cp -v extensions/libip6t_ah.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_dst.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_eui64.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_frag.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_hbh.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_hl.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_HL.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_icmp6.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_ipv6header.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_LOG.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_mh.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_owner.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_policy.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_REJECT.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libip6t_rt.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_addrtype.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_ah.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_CLUSTERIP.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_conntrack.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_DNAT.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_ecn.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_ECN.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_icmp.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_iprange.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_LOG.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_MASQUERADE.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_MIRROR.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_NETMAP.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_owner.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_policy.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_realm.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_recent.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_REDIRECT.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_REJECT.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_SAME.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_set.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_SET.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_SNAT.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_tos.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_TOS.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_ttl.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_TTL.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_ULOG.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libipt_unclean.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_CLASSIFY.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_comment.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_connbytes.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_connlimit.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_connmark.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_CONNMARK.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_dccp.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_dscp.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_DSCP.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_esp.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_hashlimit.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_helper.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_length.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_limit.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_mac.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_mark.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_MARK.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_multiport.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_NFLOG.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_NFQUEUE.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_NOTRACK.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_physdev.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_pkttype.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_quota.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_sctp.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_standard.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_state.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_statistic.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_string.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_tcpmss.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_TCPMSS.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_tcp.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_time.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_TRACE.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_u32.so ${DEST_DIR}/usr/lib/iptables 
cp -v extensions/libxt_udp.so ${DEST_DIR}/usr/lib/iptables 
