#ifndef IFX_MPS_H
#define IFX_MPS_H

#define IFX_MPS_Base INCA_IP2_MPS
#define IFX_MPS_CHIPID INCA_IP2_MPS_CHIPID
#define IFX_MPS_CHIPID_VERSION_GET INCA_IP2_MPS_CHIPID_VERSION_GET
#define IFX_MPS_CHIPID_VERSION_SET INCA_IP2_MPS_CHIPID_VERSION_SET
#define IFX_MPS_CHIPID_PARTNUM_GET INCA_IP2_MPS_CHIPID_PARTNUM_GET
#define IFX_MPS_CHIPID_PARTNUM_SET INCA_IP2_MPS_CHIPID_PARTNUM_SET
#define IFX_MPS_CHIPID_MANID_GET INCA_IP2_MPS_CHIPID_MANID_GET
#define IFX_MPS_CHIPID_MANID_SET INCA_IP2_MPS_CHIPID_MANID_SET
#define IFX_MPS_SUBVER INCA_IP2_MPS_SUBVER

/* voice channel 0 ... 3 interrupt enable register */
#define IFX_MPS_VC0ENR INCA_IP2_MPS_VC0ENR
#define IFX_MPS_VC1ENR INCA_IP2_MPS_VC1ENR
#define IFX_MPS_VC2ENR INCA_IP2_MPS_VC2ENR
#define IFX_MPS_VC3ENR INCA_IP2_MPS_VC3ENR
/* voice channel 0 ... 3 interrupt status read register */
#define IFX_MPS_RVC0SR INCA_IP2_MPS_RVC0SR
#define IFX_MPS_RVC1SR INCA_IP2_MPS_RVC1SR
#define IFX_MPS_RVC2SR INCA_IP2_MPS_RVC2SR
#define IFX_MPS_RVC3SR INCA_IP2_MPS_RVC3SR
/* voice channel 0 ... 3 interrupt status set register */
#define IFX_MPS_SVC0SR INCA_IP2_MPS_SVC0SR
#define IFX_MPS_SVC1SR INCA_IP2_MPS_SVC1SR
#define IFX_MPS_SVC2SR INCA_IP2_MPS_SVC2SR
#define IFX_MPS_SVC3SR INCA_IP2_MPS_SVC3SR
/* voice channel 0 ... 3 interrupt status clear register */
#define IFX_MPS_CVC0SR INCA_IP2_MPS_CVC0SR
#define IFX_MPS_CVC1SR INCA_IP2_MPS_CVC1SR
#define IFX_MPS_CVC2SR INCA_IP2_MPS_CVC2SR
#define IFX_MPS_CVC3SR INCA_IP2_MPS_CVC3SR
/* common status 0 and 1 read register */
#define IFX_MPS_RAD0SR INCA_IP2_MPS_RAD0SR
#define IFX_MPS_RAD1SR INCA_IP2_MPS_RAD1SR
/* common status 0 and 1 set register */
#define IFX_MPS_SAD0SR INCA_IP2_MPS_SAD0SR
#define IFX_MPS_SAD1SR INCA_IP2_MPS_SAD1SR
/* common status 0 and 1 clear register */
#define IFX_MPS_CAD0SR INCA_IP2_MPS_CAD0SR
#define IFX_MPS_CAD1SR INCA_IP2_MPS_CAD1SR
/* common status 0 and 1 enable register */
#define IFX_MPS_AD0ENR INCA_IP2_MPS_AD0ENR
#define IFX_MPS_AD1ENR INCA_IP2_MPS_AD1ENR
/* notification enable register */
#define IFX_MPS_CPU0_NFER INCA_IP2_MPS_CPU0_NFER
#define IFX_MPS_CPU1_NFER INCA_IP2_MPS_CPU1_NFER
/* CPU to CPU interrup request register */
#define IFX_MPS_CPU0_2_CPU1_IRR INCA_IP2_MPS_CPU0_2_CPU1_IRR
#define IFX_MPS_CPU0_2_CPU1_IER INCA_IP2_MPS_CPU0_2_CPU1_IER
/* Global interrupt request and request enable register */
#define IFX_MPS_GIRR INCA_IP2_MPS_GIRR
#define IFX_MPS_GIER INCA_IP2_MPS_GIER

#define IFX_MPS_SRAM INCA_IP2_MPS_SRAM



#endif /* IFX_MPS_H */
