#include <sys/syscall.h>
#include <stdio.h>
#include <linux/unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <linux/in.h>
#include <sys/errno.h>

#define __NR_gssplice 4330

#define _syscall4(type,name,atype,a,btype,b,ctype,c,dtype,d) \
    type name(atype a, btype b, ctype c, dtype d) \
{ \
        register unsigned long __a0 asm("$4") = (unsigned long) a; \
        register unsigned long __a1 asm("$5") = (unsigned long) b; \
        register unsigned long __a2 asm("$6") = (unsigned long) c; \
        register unsigned long __a3 asm("$7") = (unsigned long) d; \
        unsigned long __v0; \
        \
        __asm__ volatile ( \
                    ".set\tnoreorder\n\t" \
                    "li\t$2, %5\t\t\t# " #name "\n\t" \
                    "syscall\n\t" \
                    "move\t%0, $2\n\t" \
                    ".set\treorder" \
                    : "=&r" (__v0), "+r" (__a3) \
                    : "r" (__a0), "r" (__a1), "r" (__a2), "i" (__NR_##name) \
                    : "$2", "$8", "$9", "$10", "$11", "$12", "$13", "$14", "$15", "$24", \
                      "memory"); \
        \
        if (__a3 == 0) \
            return (type) __v0; \
        errno = __v0; \
        return (type)-1; \
}
_syscall4(long,gssplice,int,fd_in,int,fd_out,unsigned int,flags,struct sockaddr *,addr)

main() {
  struct sockaddr_in usin;

  usin.sin_addr.s_addr = 0xabcd;
  gssplice(1, 2, 0, (struct sockaddr *)&usin );

  printf("\n%p\n", (struct sockaddr *)&usin);
  fflush(stdout);
}

