#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="miniupnp"

echo "----------------------------------------------------------------------"
echo "----------------------  build miniupnp  ------------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	make -f Makefile.gxe clean && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	rm -f config.cache
	#make AR=${HT500_AR} AS=${HT500_AS} LD=${HT500_LD} NM=${HT500_NM} CC=${HT500_CC}  RANLIB=${HT500_RANLIB} BUILDCC=${HT500_HOSTCC} CXX=${HT500_CXX} OBJCOPY=${HT500_OBJCOPY} OBJDUMP=${HT500_OBJDUMP} LDFLAGS=${HT500_LDFLAGS}
#	genuuid/build.sh

	ht500_error_check $? 
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi

#make
	echo make -f Makefile.gxe AR=${HT500_AR} AS=${HT500_AS} LD=${HT500_LD} NM=${HT500_NM} CC=${HT500_CC} RANLIB=${HT500_RANLIB} BUILDCC=${HT500_HOSTCC} CXX=${HT500_CXX} OBJCOPY=${HT500_OBJCOPY} OBJDUMP=${HT500_OBJDUMP} LDFLAGS=${HT500_LDFLAGS} BUILDDIR=$PWD
	make -f Makefile.gxe AR=${HT500_AR} AS=${HT500_AS} LD=${HT500_LD} NM=${HT500_NM} CC=${HT500_CC} RANLIB=${HT500_RANLIB} BUILDCC=${HT500_HOSTCC} CXX=${HT500_CXX} OBJCOPY=${HT500_OBJCOPY} OBJDUMP=${HT500_OBJDUMP} LDFLAGS="${HT500_LDFLAGS}" BUILD_DIR=$PWD

ht500_error_check $? 

cp -f miniupnpd ${BUILD_ROOTFS_DIR}usr/sbin
