#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="misc"

echo "----------------------------------------------------------------------"
echo "-------------------------    build misc    ---------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ "$1" = "config_only" ] ;then
	exit 0
fi

make  clean
if [ $BUILD_CLEAN -eq 1 ]; then
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

cd ubi-utils
make AR=${GXV31XX_AR} AS=${GXV31XX_AS} LD=${GXV31XX_LD} NM=${GXV31XX_NM} CC=${GXV31XX_CC} BUILDCC=${GXV31XX_HOSTCC} GCC=${GXV31XX_CC} CXX=${GXV31XX_CXX} CPP=${GXV31XX_CPP} RANLIB=${GXV31XX_RANLIB} GXV31XX_CFLAGS="${GXV31XX_CFLAGS}" GXV31XX_LDFLAGS="${GXV31XX_LDFLAGS}"
gxv31xx_error_check $? 
cd -
cd mkfs.ubifs
make AR=${GXV31XX_AR} AS=${GXV31XX_AS} LD=${GXV31XX_LD} NM=${GXV31XX_NM} CC=${GXV31XX_CC} BUILDCC=${GXV31XX_HOSTCC} GCC=${GXV31XX_CC} CXX=${GXV31XX_CXX} CPP=${GXV31XX_CPP} RANLIB=${GXV31XX_RANLIB} GXV31XX_CFLAGS="${GXV31XX_CFLAGS}" GXV31XX_LDFLAGS="${GXV31XX_LDFLAGS}"
gxv31xx_error_check $? 

#$GXV31XX_STRIP mtd 
#cp -f nvconfig ${BUILD_ROOTFS_DIR}usr/bin/

