#!/bin/sh
CORES=$((2*$(cat /proc/cpuinfo | grep -c processor)))
COPYTO="/usr/local/GRANDSTREAM/SW_ENGR/svip/gxw4200/image_build_FP2/gxw-build.cvscontrol/gxw_image_build/base/usr/"


TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh

CURDIR="`pwd`"

APPS_NAME=`basename $CURDIR`

echo "----------------------------------------------------------------------"
echo "build $APPS_NAME"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
    make clean
	rm -rf temp_install/*
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

set -x
if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC}  RANLIB=${GS_RANLIB} BUILDCC=${GS_HOSTCC} CXX=${GS_CXX} OBJCOPY=${GS_OBJCOPY} OBJDUMP=${GS_OBJDUMP} CFLAGS=${GS_CFLAGS} LDFLAGS="${GS_LDFLAGS} -L/opt/uclibc-toolchain/gcc-4.1.2/toolchain-mipseb/lib/ -L${CURDIR}/../misc/nvtool" ./configure --host=${TARGET} --build=${BUILD} --target=${TARGET} --prefix="/"  --with-mibdirs="/etc/mibdir" --with-sys-contact="noone@nowhe.re" --with-sys-location="GXW42xx" --with-logfile="/var/log/snmpd.log" --with-persistent-directory="/var/net-snmp" --with-default-snmp-version="2" --disable-embedded-perl --disable-applications --disable-manuals --disable-scripts --enable-developer --enable-mini-agent --with-mib-modules="grandstream" #--enable-notify-only --enable-no-listen 

	gs_error_check $? 
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi
set +x

make V=99 -j${CORES} agent
gs_error_check $? 

#$GS_STRIP agent/.libs/snmpd
#$GS_STRIP agent/.libs/libnetsnmpagent.so.30.0.2
#$GS_STRIP agent/.libs/libnetsnmpmibs.so.30.0.2
#$GS_STRIP snmplib/.libs/libnetsnmp.so.30.0.2
ls -l snmplib/.libs/libnetsnmp.so.30.0.2
ls -l agent/.libs/snmpd
ls -l agent/.libs/libnetsnmp*so.30.0.2
cp -a snmplib/.libs/libnetsnmp.so.30.0.2 ${COPYTO}lib/
cp -a agent/.libs/snmpd ${COPYTO}bin/
cp -a agent/.libs/libnetsnmp*so.30.0.2 ${COPYTO}lib/
