#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="ntpclient"

echo "----------------------------------------------------------------------"
echo "-----------------------      build ntpclient  ------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ "$1" = "config_only" ] ;then
	exit 0
fi

if [ $BUILD_CLEAN -eq 1 ]; then
	make  clean
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

make AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC} BUILDCC=${GS_HOSTCC} GCC=${GS_CC} CXX=${GS_CXX} CPP=${GS_CPP} RANLIB=${GS_RANLIB} GS_CFLAGS="${GS_CFLAGS}" GS_LDFLAGS="${GS_LDFLAGS}" BUILD_PRODUCT=gxw42xx
gs_error_check $? 

install -d ${BUILD_ROOTFS_DIR}usr/sbin/
cp -f ntpclient ${BUILD_ROOTFS_DIR}usr/sbin/
gs_error_check $? 

