#!/bin/sh
#000005:tc.chen 2005/06/17 fix hostname does not work fine issue.
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="wget-1.10.1"

echo "----------------------------------------------------------------------"
echo "-----------------------    build wget-1.10.1  ------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	rm -rf .config_ok
	make distclean
	rm -f missing mkinstalldirs ylwrap depcomp install_sh
	rm -f config.cache
	rm -f config.h.in
	rm -f ltmain.sh
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	AR=${HT500_AR} AS=${HT500_AS} LD=${HT500_LD} NM=${HT500_NM} CC=${HT500_CC}  RANLIB=${HT500_RANLIB} BUILDCC=${HT500_HOSTCC} CXX=${HT500_CXX} OBJCOPY=${HT500_OBJCOPY} OBJDUMP=${HT500_OBJDUMP} HT500_CFLAGS=${HT500_CFLAGS} HT500_LDFLAGS=${HT500_LDFLAGS}  ./configure --host=${HOST} --build=${BUILD} --target=${TARGET} --disable-largefile

	ht500_error_check $? 
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi

make
ht500_error_check $? 

#${HT500_STRIP} src/dnrd

#cp -f src/dnrd ${BUILD_ROOTFS_DIR}usr/sbin/
#ht500_error_check $? 
