#!/bin/sh
TOPDIR=`pwd`/../../system/
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="libosip2 2.2.2"
DST_DIR=`pwd`/temp/

echo "----------------------------------------------------------------------"
echo "-----------------------    build $APPS_NAME  ------------------------"
echo "----------------------------------------------------------------------"


GS_CFLAGS=" "
GS_CFLAGS="${GS_CFLAGS} -Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time -fhonour-copts "
#GS_CFLAGS="${GS_CFLAGS} -DDEBUG_MEM "
#GS_CFLAGS="${GS_CFLAGS} "
#GS_CFLAGS="${GS_CFLAGS} "
#GS_CFLAGS="${GS_CFLAGS} "

EXTRA_OPTIONS=" "
EXTRA_OPTIONS="${EXTRA_OPTIONS} --prefix=${DST_DIR} "
EXTRA_OPTIONS="${EXTRA_OPTIONS} --enable-pthread "
#EXTRA_OPTIONS="${EXTRA_OPTIONS} "
#EXTRA_OPTIONS="${EXTRA_OPTIONS} "
#EXTRA_OPTIONS="${EXTRA_OPTIONS} "
#EXTRA_OPTIONS="${EXTRA_OPTIONS} "

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	make clean
	rm .config_ok
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC}  RANLIB=${GS_RANLIB} BUILDCC=${GS_HOSTCC} CXX=${GS_CXX} OBJCOPY=${GS_OBJCOPY} OBJDUMP=${GS_OBJDUMP} CFLAGS=${GS_CFLAGS} LDFLAGS=${GS_LDFLAGS}  ./configure --host=${HOST} --build=${BUILD} --target=${TARGET} ${EXTRA_OPTIONS}

	gs_error_check $? 
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi

make -j8 

exit

make install
gs_error_check $? 

