#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="pppoecd"
BUILD_ROOTFS_DIR="${TOPDIR}../image_build/gxw-build.cvscontrol/gxw_image_build/base"
export NVRAM_INC="${TOPDIR}../app/include"
export NVRAM_LIB="${TOPDIR}../app/lib/release"
#export DEBUG_PPPOE=1

echo "----------------------------------------------------------------------"
echo "-----------------------      build pppoecd  --------------------------"
echo "----------------------------------------------------------------------"

parse_args $@


if [ "$1" = "config_only" ] ;then
        exit 0
fi

if [ $BUILD_CLEAN -eq 1 ]; then
	make clean
	rm -f pppoecd/pppoecd
	rm -f pppoecd/.pppoecd
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi
cd pppoecd
make CC=${GS_CC} LD=${GS_LD} LIBDIR=${TOOLCHAIN_DIR}${CROSS_COMPILER_PREFIX}uclibc/lib #PPPDLIB=${PPPD_LIB}
cp -f pppoecd $BUILD_ROOTFS_DIR/usr/sbin
#ht500_error_check $? 
cd -


