#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="busybox"

echo "----------------------------------------------------------------------"
echo "-----------------------      build procps    ------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	make clean
	rm -f .config_ok 
	rm -f .config.cmd
	rm -f .config.old
	rm -f .depend
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	#make oldconfig 
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ; then
	exit 0
fi

make AR=${HT500_AR} AS=${HT500_AS} LD=${HT500_LD} NM=${HT500_NM} CC=${HT500_CC} BUILDCC=${HT500_HOSTCC} GCC=${HT500_CC} CXX=${HT500_CXX} CPP=${HT500_CPP} RANLIB=${HT500_RANLIB} HT500_CFLAGS="${HT500_CFLAGS}" HT500_LDFLAGS="${HT500_LDFLAGS}" slabtop
ht500_error_check $? 

#make PREFIX=${BUILD_ROOTFS_DIR} install 
ht500_error_check $? 
