#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="wget-1.10.1"

echo "----------------------------------------------------------------------"
echo "-----------------------    build wget-1.10.1  ------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	rm -rf .config_ok
	make distclean
	rm -f missing mkinstalldirs ylwrap depcomp install_sh
	rm -f config.cache
	rm -f config.h.in
	rm -f ltmain.sh
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	AR=${GXV31XX_AR} AS=${GXV31XX_AS} LD=${GXV31XX_LD} NM=${GXV31XX_NM} CC=${GXV31XX_CC}  RANLIB=${GXV31XX_RANLIB} BUILDCC=${GXV31XX_HOSTCC} CXX=${GXV31XX_CXX} OBJCOPY=${GXV31XX_OBJCOPY} OBJDUMP=${GXV31XX_OBJDUMP} GXV31XX_CFLAGS=${GXV31XX_CFLAGS} GXV31XX_LDFLAGS=${GXV31XX_LDFLAGS}  ./configure --host=${HOST} --build=${BUILD} --target=${TARGET} --disable-largefile

	gxv31xx_error_check $? 
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi

make
gxv31xx_error_check $? 

#${GXV31XX_STRIP} src/dnrd

#cp -f src/dnrd ${BUILD_ROOTFS_DIR}usr/sbin/
#gxv31xx_error_check $? 
