#!/bin/bash

CDIR=`pwd`
TOPDIR=${CDIR}/../../../../../
BINDIR="${TOPDIR}../image_build/gxw-build.cvscontrol/gxw_image_build/base/usr/bin"

GS_CFLAGS="-Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time -fhonour-copts -DEVENT_LOGGER_DEBUG=1"

. ${TOPDIR}tools/build_tools/Path.sh

export SYSROOT=${PKG_CONFIG_SYSROOT_DIR}
export EXTRA_CFLAGS="-I${CDIR}/../../libnl-3.2.27/installation/include/libnl3/ ${EXTRA_CFLAGS}"
export LDFLAGS="-L${CDIR}/../../libnl-3.2.27/installation/lib ${LDFLAGS}"
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:../../libnl-3.2.27/"

make clean
cp defconfig .config
make CC=${CROSS_COMPILER_PREFIX}gcc

cp wpa_supplicant ${BINDIR}/
