#!/bin/bash

CDIR=`pwd`
TOPDIR=${CDIR}/../../../../
LIBDIR="${TOPDIR}../../gxw42xx/image_build/gxw-build/gxw_image_build/base/usr/lib"
ZLIBDIR=${CDIR}/../zlib-1.2.8/

GS_CFLAGS="-Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time -fhonour-copts -DEVENT_LOGGER_DEBUG=1"

. ${TOPDIR}tools/build_tools/Path.sh

echo ${TOOLCHAIN_DIR}

if [ ! -f Makefile ]; then
    LIBS="-lutil -lz -lnvram -lpvalue_validation" \
    LDFLAGS="-L${LIBDIR}" \
    AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC}  RANLIB=${GS_RANLIB} BUILDCC=${GS_HOSTCC} \
    CXX=${GS_CXX} OBJCOPY=${GS_OBJCOPY} OBJDUMP=${GS_OBJDUMP} CFLAGS="${GS_CFLAGS} -I${ZLIBDIR} -DGRANDSTREAM_PATCH" \
    ./configure --host=mips-linux --prefix=/opt/dropbear --disable-harden
fi

if [ -z /opt/dropbear ];then
    mkdir /opt/dropbear
fi

make clean
make
make strip

if test -e dropbear; then
	cp dropbear ../../../../../image_build/gxw-build.cvscontrol/gxw_image_build/base/usr/sbin/
fi
