#!/bin/bash

TOPDIR=`pwd`/../../../../
LIBDIR=${TOPDIR}../image_build/gxw-build/gxw_image_build/base/usr/lib
CACHEFILE="arm-linux.cache"

#GS_CFLAGS="-Os -pipe -mips32r2 -mtune=mips32r2 -funit-at-a-time -fhonour-copts -DEVENT_LOGGER_DEBUG=1"

. ${TOPDIR}tools/build_tools/Path.sh

if [ "$1" = "configure" ];then
    # prepare the cache file for cross-compile
    echo ax_cv_cc_builtin_choose_expr=no > ${CACHEFILE}
    echo ax_cv_cc_builtin_types_compatible_p=no >> ${CACHEFILE}
    echo ax_cv_cc_builtin_bswap64=no >> ${CACHEFILE}
    echo ax_cv_cc_bounded_attribute=no >> ${CACHEFILE}

    LDFLAGS=-L${LIBDIR} \
    AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC}  RANLIB=${GS_RANLIB} BUILDCC=${GS_HOSTCC} \
    CXX=${GS_CXX} OBJCOPY=${GS_OBJCOPY} OBJDUMP=${GS_OBJDUMP} CFLAGS=${GS_CFLAGS} \
    ./configure \
    --host=mips-linux-uclibc \
    --cache-file=${CACHEFILE} 
fi

make clean && make
