#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="tcpdump-3.8.3"

echo "----------------------------------------------------------------------"
echo "----------------------  build openntpd-3.9p1  ------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	make clean && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	rm -f config.cache
    ac_cv_linux_vers=2 AR=${HT500_AR} AS=${HT500_AS} LD=${HT500_LD} NM=${HT500_NM} CC=${HT500_CC}  RANLIB=${HT500_RANLIB} BUILDCC=${HT500_HOSTCC} CXX=${HT500_CXX} OBJCOPY=${HT500_OBJCOPY} OBJDUMP=${HT500_OBJDUMP} HT500_CFLAGS=${HT500_CFLAGS} HT500_LDFLAGS=${HT500_LDFLAGS}  ./configure --host=${HOST} --build=${BUILD} --target=${TARGET} --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --localstatedir=/var  --mandir=/usr/share/man --sbindir=/usr/sbin --enable-shared --disable-static --disable-yydebug --with-pcap=linux

	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi

make

