/******************************************************************************

                            Copyright (c) 2007
                         Infineon Technologies AG
               St. Martin Strasse 53; 81669 Munich, Germany

  Any use of this Software is subject to the conclusion of a respective 
  License Agreement. Without such a License Agreement no rights to the
  Software are granted.

******************************************************************************/


#ifndef __IFX_REG_BCU_H
#define __IFX_REG_BCU_H


/*******************************************************************************
 * BCU
 ******************************************************************************/
typedef struct _ifx_bcu_reg {
} ifx_bcu_reg;

/*******************************************************************************
 * BCU0
 ******************************************************************************/
#define IFX_BCU0_CON                         ((volatile u32*)(IFX_BCU0_BASE + 0x0010))
#define IFX_BCU0_ECON                        ((volatile u32*)(IFX_BCU0_BASE + 0x0020))
#define IFX_BCU0_EADD                        ((volatile u32*)(IFX_BCU0_BASE + 0x0024))
#define IFX_BCU0_EDAT                        ((volatile u32*)(IFX_BCU0_BASE + 0x0028))
#define IFX_BCU0_IRNCR1                      ((volatile u32*)(IFX_BCU0_BASE + 0x00F8))
#define IFX_BCU0_IRNCR0                      ((volatile u32*)(IFX_BCU0_BASE + 0x00FC))

/*******************************************************************************
 * BCU1
 ******************************************************************************/
#define IFX_BCU1_CON                         ((volatile u32*)(IFX_BCU1_BASE + 0x0010))
#define IFX_BCU1_ECON                        ((volatile u32*)(IFX_BCU1_BASE + 0x0020))
#define IFX_BCU1_EADD                        ((volatile u32*)(IFX_BCU1_BASE + 0x0024))
#define IFX_BCU1_EDAT                        ((volatile u32*)(IFX_BCU1_BASE + 0x0028))
#define IFX_BCU1_IRNCR1                      ((volatile u32*)(IFX_BCU1_BASE + 0x00F8))
#define IFX_BCU1_IRNCR0                      ((volatile u32*)(IFX_BCU1_BASE + 0x00FC))


#endif /* __IFX_REG_BCU_H */

