#!/bin/bash

CDIR=`pwd`
TOPDIR=${CDIR}/../../../../


. ${TOPDIR}tools/build_tools/Path.sh

if [ ! -f Makefile ]; then
    CFLAGS="-DLZO_ARCH_GENERIC -DLZO_CFG_NO_UNALIGNED" ./configure --host=mips-linux --enable-shared --disable-static --prefix=${PWD}/.install
fi

make clean
AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC}  RANLIB=${GS_RANLIB} BUILDCC=${GS_HOSTCC} \
    CXX=${GS_CXX} OBJCOPY=${GS_OBJCOPY} OBJDUMP=${GS_OBJDUMP} CFLAGS="${GS_CFLAGS}" make CROSS_COMPILE=${CROSS_COMPILER_PREFIX}
