/* $Id: upnpdescstrings.h,v 1.1 2013/02/07 06:01:24 pradev Exp $ */
/* miniupnp project
 * http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
 * (c) 2006 Thomas Bernard
 * This software is subject to the coditions detailed in
 * the LICENCE file provided within the distribution */
#ifndef __UPNPDESCSTRINGS_H__
#define __UPNPDESCSTRINGS_H__

#include "config.h"

/* strings used in the root device xml description */
#define ROOTDEV_FRIENDLYNAME		"Grandstream Router"
#define ROOTDEV_MANUFACTURER		"Grandstream Networks, Inc."
#define ROOTDEV_MANUFACTURERURL		"http://www.grandstream.com/"
#define ROOTDEV_MODELNAME		"GXE"
#define ROOTDEV_MODELDESCRIPTION	"GXE"
#define ROOTDEV_MODELURL		"http://www.grandstream.com/"

#define WANDEV_FRIENDLYNAME		"WAN Port"
#define WANDEV_MANUFACTURER		"Grandstream Networks, Inc."
#define WANDEV_MANUFACTURERURL		"http://www.grandstream.com"
#define WANDEV_MODELNAME		"GXE"
#define WANDEV_MODELDESCRIPTION		"GXE"
#define WANDEV_MODELNUMBER		"GXE"
#define WANDEV_MODELURL			"http://www.grandstream.com"
#define WANDEV_UPC			"GXE"

#define WANCDEV_FRIENDLYNAME		"GXE"
#define WANCDEV_MANUFACTURER		WANDEV_MANUFACTURER
#define WANCDEV_MANUFACTURERURL		WANDEV_MANUFACTURERURL
#define WANCDEV_MODELNAME		"GXE"
#define WANCDEV_MODELDESCRIPTION	"GXE"
#define WANCDEV_MODELNUMBER		"GXE"
#define WANCDEV_MODELURL		"http://www.grandstream.com/"
#define WANCDEV_UPC			"GXE"

#endif

