#!/bin/sh

TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="misc"
MISCDIR=`pwd`
#set -x
if [ ! -e nvtool/provision.h ]; then
    echo "Create symlink for provision.h"
    ln -s ../../../../../provision/provision.h nvtool/provision.h
fi

echo "----------------------------------------------------------------------"
echo "-------------------------    build misc    ---------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ "$1" = "config_only" ] ;then
	exit 0
fi

cd ${MISCDIR}/pvalue_validation
make clean
make AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC} BUILDCC=${GS_HOSTCC} GCC=${GS_CC} CXX=${GS_CXX} CPP=${GS_CPP} RANLIB=${GS_RANLIB} CFLAGS="${GS_CFLAGS}" LDFLAGS="${GS_LDFLAGS}" 
#gs_error_check $? 

#GS_STRIP pvalue_validation_server

cd ${MISCDIR}/nvtool

make clean
if [ $BUILD_CLEAN -eq 1 ]; then
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

make AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC} BUILDCC=${GS_HOSTCC} GCC=${GS_CC} CXX=${GS_CXX} CPP=${GS_CPP} RANLIB=${GS_RANLIB} CFLAGS="${GS_CFLAGS}" LDFLAGS="${GS_LDFLAGS}" 
#gs_error_check $? 

exit

$GS_STRIP nvconfig #libnvram.so

cd $TOPDIR/provision/src
make arm
cp -f prov_dec ${BUILD_ROOTFS_DIR}bin/
cd ${BUILD_ROOTFS_DIR}bin/
ln -sf prov_dec prov_config_dec
ln -sf prov_dec prov_info
ln -sf prov_dec prov_imgheader
ln -sf prov_dec prov_procheader
ln -sf prov_dec prov_pack
ln -sf prov_dec prov_unpack

