#ifndef XML_PARSER_H
#define XML_PARSER_H

/*                   
* gets tag from buffer 
* in_buffer is at the starting point of the tag.
*/
int get_tag_buffer( char *, char *, int );

/*
* gets tag from file and stores in buffer
* fp is at the starting point of the tag.
*/
int get_tag_file( FILE *, char *, int );

/*
* gets value from file and stores in buffer
* fp is at the starting point of the tag.
*/
int get_value_file( FILE *, char *, int, char *, int );

/*
*gets a tag's value from buffer
* in_buffer is at the '<' of the tag.
*/
int get_value_buffer( char *, char *, int, char *, int, int );

/*
*find tag in buffer then store value
*/
void find_store_tag( char *, char *, char *, int, int, int );

/*
* store number details
*/
void store_number_cat( char *, pvalue_xml * );

/*
*store utf8 string details
*/
void store_utf8_string_cat( char *, pvalue_xml * );

/*
*store string details
*/
void store_string_cat( char *, pvalue_xml * );

/*
*store address details
*/
void store_address_cat( char *, pvalue_xml * );

/*
*store ipaddress details
*/
void store_ipaddress_cat( char *, pvalue_xml * );

/*
*store server address details
*/
void store_serveraddress_cat( char *, pvalue_xml * );

/*
*store netmask details
*/
void store_netmask_cat( char *, pvalue_xml * );

/*
*store url details
*/
void store_url_cat( char *, pvalue_xml * );

/*
*parses file and fills in limits in list_head
*/
int parse_xml_limits_file( pvalue_xml **, const char * );

#endif
