#!/bin/bash

if [ $# -lt 2 ]; then
    echo "Need at least two arguments"
    exit 1
fi    

IN=${1}
OUT=${2}

if [ ! -s ${IN} ]; then
    echo "${IN} is empty."
    exit 1
fi    

sed "s/ \{1,\}-\{1,\} NVRAM.*//" ${1} > ${2}

