#!/bin/sh
TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="ntpclient"

echo "----------------------------------------------------------------------"
echo "-----------------------      build ntpclient  ------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ "$1" = "config_only" ] ;then
	exit 0
fi

if [ $BUILD_CLEAN -eq 1 ]; then
	make  clean
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

BUILD_PRODUCT=ht5xx
make AR=${HT500_AR} AS=${HT500_AS} LD=${HT500_LD} NM=${HT500_NM} CC=${HT500_CC} BUILDCC=${HT500_HOSTCC} GCC=${HT500_CC} CXX=${HT500_CXX} CPP=${HT500_CPP} RANLIB=${HT500_RANLIB} HT500_CFLAGS="${HT500_CFLAGS}" HT500_LDFLAGS="${HT500_LDFLAGS}" BUILD_PRODUCT=${BUILD_PRODUCT} 
ht500_error_check $? 

${HT500_STRIP} ntpclient
install -d ${BUILD_ROOTFS_DIR}usr/sbin/
cp -f ntpclient ${BUILD_ROOTFS_DIR}usr/sbin/
ht500_error_check $? 

