#ifndef _UDP_REDIRECT_H
#define _UDP_REDIRECT_H

/* udp_redirect.h: Hook to receive packets directly from the network stack.
 *
 * Copyright (C) 2011  Lantiq Deutschland GmbH (www.lantiq.com)
 */

/* ============================= */
/* Includes                      */
/* ============================= */
#ifndef _LINUX_TYPES_H
#include <linux/types.h>
#endif
#include <linux/skbuff.h>


/* ============================= */
/* Definitions                   */
/* ============================= */
#if 0
#define UDP_REDIRECT_MAGIC (void *)0x55445052L
#else
#define UDP_REDIRECT_MAGIC			0x00005052L
#define UDP_REDIRECT_LOC_MAGIC	((UDP_REDIRECT_MAGIC) | 0x00010000L)
#define UDP_REDIRECT_REM_MAGIC	((UDP_REDIRECT_MAGIC) | 0x00020000L)
#endif


/* ============================= */
/* Global variable declaration   */
/* ============================= */
extern int (*udp_do_redirect_fn)(struct sock *sk, struct sk_buff *skb);

#endif
