#!/bin/sh
set -x

TOPDIR=`pwd`/../../../../
. ${TOPDIR}tools/build_tools/Path.sh
APPS_NAME="xsupplicant-1.2.8"
CFLAGS="-I/usr/local/GRANDSTREAM/SW_ENGR/svip/gxw4200/system/source/user/opensource/wireless_tools.29"
LDFLAGS="-L/usr/local/GRANDSTREAM/SW_ENGR/svip/gxw4200/system/source/user/opensource/wireless_tools.29"

echo "----------------------------------------------------------------------"
echo "----------------------- build xsupplicant-1.2.8 ----------------------"
echo "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	rm -rf .config_ok
	make distclean
	rm -f missing mkinstalldirs ylwrap depcomp install_sh
	rm -f config.cache
	rm -f aclocal.m4
	rm -f config.h.in
	rm -f configure
	rm -f ltmain.sh
	rm -rf autom4te.cache
	#find . -name Makefile.in | xargs rm -rf
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	aclocal
	autoheader
	autoconf
	AR=${GS_AR} AS=${GS_AS} LD=${GS_LD} NM=${GS_NM} CC=${GS_CC}  RANLIB=${GS_RANLIB} BUILDCC=${GS_HOSTCC} CXX=${GS_CXX} OBJCOPY=${GS_OBJCOPY} OBJDUMP=${GS_OBJDUMP} CFLAGS=${CFLAGS} LDFLAGS=${LDFLAGS} ./configure --host=${HOST} --build=${BUILD} --target=${TARGET} 
    if [ $? -eq 0 ]; then
		echo -n > .config_ok
	else
		exit 1
	fi	
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi

make

${GS_STRIP} src/xsupplicant

